[camel-k] branch master updated (ea382b1 -> a4d9ab4)

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[camel-k] branch master updated (ea382b1 -> a4d9ab4)

lburgazzoli-2
This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a change to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git.


    from ea382b1  Add support for XML routes #70
     new eeef530  Fix release scripts
     new 80d1cf3  Update release with git tag step
     new 5efc8a9  Add command to increment version
     new 0e429c0  Push snapshot to docker hub when making a new version
     new a4d9ab4  Bump version to 0.0.2-SNAPSHOT

The 5 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 build/Makefile                  | 18 ++++++++++++------
 build/git_tag.sh                | 15 +++++++++++++++
 build/images_build.sh           |  6 ++++++
 build/images_push.sh            |  6 ++++++
 build/next_snapshot.sh          | 15 +++++++++++++++
 build/prepare_release.sh        | 12 +++---------
 build/set_version.sh            | 19 +++++++++++++++++++
 deploy/operator-deployment.yaml |  2 +-
 deploy/resources.go             |  2 +-
 runtime/jvm/pom.xml             |  2 +-
 runtime/pom.xml                 |  2 +-
 version/version.go              |  2 +-
 12 files changed, 81 insertions(+), 20 deletions(-)
 create mode 100755 build/git_tag.sh
 create mode 100755 build/images_build.sh
 create mode 100755 build/images_push.sh
 create mode 100755 build/next_snapshot.sh
 create mode 100755 build/set_version.sh

Reply | Threaded
Open this post in threaded view
|

[camel-k] 01/05: Fix release scripts

lburgazzoli-2
This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit eeef530085eb823c8e50062809e1f9af1b0b0629
Author: nferraro <[hidden email]>
AuthorDate: Thu Sep 13 17:58:50 2018 +0200

    Fix release scripts
---
 build/Makefile           | 6 ++----
 build/images_build.sh    | 6 ++++++
 build/images_push.sh     | 6 ++++++
 build/prepare_release.sh | 1 +
 4 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/build/Makefile b/build/Makefile
index 335b9c0..28c52a3 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -1,5 +1,3 @@
-VERSION := $(shell ./build/get_version.sh)
-
 build: build-runtime build-operator build-kamel test
 
 build-operator: build-embed-resources
@@ -41,10 +39,10 @@ codegen:
 images: images-build
 
 images-build:
- ./build/package_maven_artifacts.sh && operator-sdk build docker.io/apache/camel-k:$(VERSION)
+ ./build/images_build.sh
 
 images-push:
- docker push docker.io/apache/camel-k:$(VERSION)
+ ./build/images_push.sh
 
 test: check
 check:
diff --git a/build/images_build.sh b/build/images_build.sh
new file mode 100755
index 0000000..7aefdc2
--- /dev/null
+++ b/build/images_build.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+location=$(dirname $0)
+version=$($location/get_version.sh)
+
+$location/package_maven_artifacts.sh && operator-sdk build docker.io/apache/camel-k:$version
\ No newline at end of file
diff --git a/build/images_push.sh b/build/images_push.sh
new file mode 100755
index 0000000..2b7eab9
--- /dev/null
+++ b/build/images_push.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+location=$(dirname $0)
+version=$($location/get_version.sh)
+
+docker push docker.io/apache/camel-k:$version
\ No newline at end of file
diff --git a/build/prepare_release.sh b/build/prepare_release.sh
index cd8894c..b9d5881 100755
--- a/build/prepare_release.sh
+++ b/build/prepare_release.sh
@@ -7,6 +7,7 @@ global_version_file=$location/../version/version.go
 
 # Set the new global version by removing "-SNAPSHOT"
 sed -i "s/-SNAPSHOT//g" $global_version_file
+find $location/../deploy -type f -exec sed -i "s/-SNAPSHOT//g" {} \;
 
 # Get the new version
 version=$($location/get_version.sh)

Reply | Threaded
Open this post in threaded view
|

[camel-k] 02/05: Update release with git tag step

lburgazzoli-2
In reply to this post by lburgazzoli-2
This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit 80d1cf3aa8a8e5645797ded82b1ce949b1388c4f
Author: nferraro <[hidden email]>
AuthorDate: Thu Sep 13 19:13:04 2018 +0200

    Update release with git tag step
---
 build/Makefile   |  5 ++++-
 build/git_tag.sh | 15 +++++++++++++++
 2 files changed, 19 insertions(+), 1 deletion(-)

diff --git a/build/Makefile b/build/Makefile
index 28c52a3..fde80b2 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -12,7 +12,7 @@ build-embed-resources:
 build-runtime:
  mvn clean install -f ./runtime/pom.xml
 
-release: prepare-release build images-build images-push test-integration cross-compile
+release: prepare-release build images-build images-push test-integration cross-compile git-tag
 
 prepare-release:
  ./build/prepare_release.sh
@@ -20,6 +20,9 @@ prepare-release:
 cross-compile:
  ./build/cross_compile.sh
 
+git-tag:
+ ./build/git_tag.sh
+
 dep:
  dep ensure -v
 
diff --git a/build/git_tag.sh b/build/git_tag.sh
new file mode 100755
index 0000000..d1d3adb
--- /dev/null
+++ b/build/git_tag.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+location=$(dirname $0)
+version=$($location/get_version.sh)
+
+git branch -D staging-$version || true
+git checkout -b staging-$version
+git add * || true
+git commit -m "Release $version"
+git tag --force $version staging-$version
+git push --force upstream $version
+
+echo "Tag $version pushed upstream"

Reply | Threaded
Open this post in threaded view
|

[camel-k] 03/05: Add command to increment version

lburgazzoli-2
In reply to this post by lburgazzoli-2
This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit 5efc8a94cb7a5af3565c9bbfddd64e2fd6cf2b3b
Author: nferraro <[hidden email]>
AuthorDate: Fri Sep 14 10:01:07 2018 +0200

    Add command to increment version
---
 build/Makefile           |  5 ++++-
 build/next_snapshot.sh   | 15 +++++++++++++++
 build/prepare_release.sh | 13 +++----------
 build/set_version.sh     | 19 +++++++++++++++++++
 4 files changed, 41 insertions(+), 11 deletions(-)

diff --git a/build/Makefile b/build/Makefile
index fde80b2..989cbdd 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -17,6 +17,9 @@ release: prepare-release build images-build images-push test-integration cross-c
 prepare-release:
  ./build/prepare_release.sh
 
+new-version:
+ ./build/next_snapshot.sh
+
 cross-compile:
  ./build/cross_compile.sh
 
@@ -57,4 +60,4 @@ check-integration:
 
 
 
-.PHONY: build build-operator build-kamel build-embed-resources build-runtime dep codegen images images-build images-push test check test-integration check-integration clean release prepare-release cross-compile
+.PHONY: build build-operator build-kamel build-embed-resources build-runtime dep codegen images images-build images-push test check test-integration check-integration clean release prepare-release cross-compile new-version git-tag
diff --git a/build/next_snapshot.sh b/build/next_snapshot.sh
new file mode 100755
index 0000000..60b79f8
--- /dev/null
+++ b/build/next_snapshot.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+location=$(dirname $0)
+global_version_file=$location/../version/version.go
+
+version=$($location/get_version.sh)
+version_num=$(echo $version | sed -E "s/([0-9.]*)-SNAPSHOT/\1/g")
+next_version_num=$(echo $version_num | awk 'BEGIN { FS = "." } ; {print $1"."$2"."++$3}')
+next_version="$next_version_num-SNAPSHOT"
+
+echo "Increasing version to $next_version"
+
+$location/set_version.sh $next_version
diff --git a/build/prepare_release.sh b/build/prepare_release.sh
index b9d5881..6357682 100755
--- a/build/prepare_release.sh
+++ b/build/prepare_release.sh
@@ -3,17 +3,10 @@
 set -e
 
 location=$(dirname $0)
-global_version_file=$location/../version/version.go
 
-# Set the new global version by removing "-SNAPSHOT"
-sed -i "s/-SNAPSHOT//g" $global_version_file
-find $location/../deploy -type f -exec sed -i "s/-SNAPSHOT//g" {} \;
-
-# Get the new version
 version=$($location/get_version.sh)
+version_num=$(echo $version | sed -E "s/([0-9.]*)-SNAPSHOT/\1/g")
 
-# Updating the Java modules
-mvn versions:set -DgenerateBackupPoms=false -DnewVersion=$version -f $location/../runtime
-
-echo "Camel K prepared for releasing version: $version"
+$location/set_version.sh $version_num
 
+echo "Camel K prepared for releasing version: $version_num"
diff --git a/build/set_version.sh b/build/set_version.sh
new file mode 100755
index 0000000..9f0da58
--- /dev/null
+++ b/build/set_version.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+location=$(dirname $0)
+new_version=$1
+
+global_version_file=$location/../version/version.go
+version=$($location/get_version.sh)
+
+# Set the new global version
+sed -i "s/$version/$new_version/g" $global_version_file
+find $location/../deploy -type f -exec sed -i "s/$version/$new_version/g" {} \;
+
+# Updating the Java modules
+mvn versions:set -DgenerateBackupPoms=false -DnewVersion=$new_version -f $location/../runtime
+
+echo "Camel K version set to: $new_version"
+

Reply | Threaded
Open this post in threaded view
|

[camel-k] 04/05: Push snapshot to docker hub when making a new version

lburgazzoli-2
In reply to this post by lburgazzoli-2
This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit 0e429c063c4bdeacba964cc41dfdc96542738dfb
Author: nferraro <[hidden email]>
AuthorDate: Fri Sep 14 10:06:40 2018 +0200

    Push snapshot to docker hub when making a new version
---
 build/Makefile | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/build/Makefile b/build/Makefile
index 989cbdd..57cb693 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -17,7 +17,9 @@ release: prepare-release build images-build images-push test-integration cross-c
 prepare-release:
  ./build/prepare_release.sh
 
-new-version:
+new-version: increment-snapshot build images-build images-push
+
+increment-snapshot:
  ./build/next_snapshot.sh
 
 cross-compile:
@@ -60,4 +62,4 @@ check-integration:
 
 
 
-.PHONY: build build-operator build-kamel build-embed-resources build-runtime dep codegen images images-build images-push test check test-integration check-integration clean release prepare-release cross-compile new-version git-tag
+.PHONY: build build-operator build-kamel build-embed-resources build-runtime dep codegen images images-build images-push test check test-integration check-integration clean release prepare-release cross-compile new-version git-tag increment-snapshot

Reply | Threaded
Open this post in threaded view
|

[camel-k] 05/05: Bump version to 0.0.2-SNAPSHOT

lburgazzoli-2
In reply to this post by lburgazzoli-2
This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit a4d9ab4f24152aba4fd5a53b2fbc9bb8b149160c
Author: nferraro <[hidden email]>
AuthorDate: Fri Sep 14 10:26:50 2018 +0200

    Bump version to 0.0.2-SNAPSHOT
---
 deploy/operator-deployment.yaml | 2 +-
 deploy/resources.go             | 2 +-
 runtime/jvm/pom.xml             | 2 +-
 runtime/pom.xml                 | 2 +-
 version/version.go              | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/deploy/operator-deployment.yaml b/deploy/operator-deployment.yaml
index 265b76d..a53fa27 100644
--- a/deploy/operator-deployment.yaml
+++ b/deploy/operator-deployment.yaml
@@ -17,7 +17,7 @@ spec:
       serviceAccountName: camel-k-operator
       containers:
         - name: camel-k-operator
-          image: docker.io/apache/camel-k:0.0.1-SNAPSHOT
+          image: docker.io/apache/camel-k:0.0.2-SNAPSHOT
           ports:
           - containerPort: 60000
             name: metrics
diff --git a/deploy/resources.go b/deploy/resources.go
index c0b8bbf..77a12cd 100644
--- a/deploy/resources.go
+++ b/deploy/resources.go
@@ -113,7 +113,7 @@ spec:
       serviceAccountName: camel-k-operator
       containers:
         - name: camel-k-operator
-          image: docker.io/apache/camel-k:0.0.1-SNAPSHOT
+          image: docker.io/apache/camel-k:0.0.2-SNAPSHOT
           ports:
           - containerPort: 60000
             name: metrics
diff --git a/runtime/jvm/pom.xml b/runtime/jvm/pom.xml
index 1aeb457..e19ed68 100644
--- a/runtime/jvm/pom.xml
+++ b/runtime/jvm/pom.xml
@@ -5,7 +5,7 @@
     <parent>
         <groupId>org.apache.camel.k</groupId>
         <artifactId>camel-k-runtime-parent</artifactId>
-        <version>0.0.1-SNAPSHOT</version>
+        <version>0.0.2-SNAPSHOT</version>
     </parent>
     <modelVersion>4.0.0</modelVersion>
 
diff --git a/runtime/pom.xml b/runtime/pom.xml
index fb7cd42..99c337b 100644
--- a/runtime/pom.xml
+++ b/runtime/pom.xml
@@ -6,7 +6,7 @@
 
     <groupId>org.apache.camel.k</groupId>
     <artifactId>camel-k-runtime-parent</artifactId>
-    <version>0.0.1-SNAPSHOT</version>
+    <version>0.0.2-SNAPSHOT</version>
     <packaging>pom</packaging>
 
     <properties>
diff --git a/version/version.go b/version/version.go
index f656e8a..78befb0 100644
--- a/version/version.go
+++ b/version/version.go
@@ -20,5 +20,5 @@ package version
 
 var (
  // Global Camel K Version
- Version = "0.0.1-SNAPSHOT"
+ Version = "0.0.2-SNAPSHOT"
 )